﻿

g_TEXT_MAP = {}
g_TEXT_MAP[ "check_update" ] = 
{
	kr = '새로운 버전이 필요 합니다. 지금 스토어 페이지로 이동 하시겠습니까?' ,
	en = 'Mother of Myth just got better!<br>Update it now?' ,	
}

g_TEXT_MAP[ "check_wifi" ] = 
{
	kr = 'Wifi에 연결되어 있지 않습니다. 과다한 데이터 비용이 발생할수 있습니다. 계속 다운로드 진행 하시겠습니까?' ,
	en = 'Wifi is not connected. Are you sure you want to continue to download?'	
}

g_TEXT_MAP[ "OK" ] = 
{
	kr = '확인' ,
	en = 'OK'	
}
g_TEXT_MAP[ "YES" ] = 
{
	kr = '예' ,
	en = 'YES'	
}
g_TEXT_MAP[ "NO" ] = 
{
	kr = '아니오' ,
	en = 'NO'	
}

function getTEXT( textid )
	local map = g_TEXT_MAP[ textid ]
	if not map then return textid end
	
	local locale = ___getenv( "System.Locale" , "ko" )
	local result
	if "ko" == string.lower( locale ) or "ko_kr" == string.lower( locale ) then
		result = map[ "kr" ]
	else
		result = map[ "en" ]
	end
	return result or textid
end

function refreshButtonText( wnd )
	wnd.btn_ok.Caption 	= getTEXT( "OK" )
	wnd.btn_yes.Caption = getTEXT( "YES" )
	wnd.btn_no.Caption 	= getTEXT( "NO" )
end

if not default_confirm_handler then
	default_confirm_handler = {}
end

default_confirm_handler.Show = function( self , msg )
	UI.re_confirm_lc._handler = self
	UI.re_confirm_lc.txt_msg.Caption = msg
	UI.re_confirm_lc.Show = true
end

default_confirm_handler.on_Show = function( self , wnd , from , info )
	refreshButtonText( wnd )
	wnd.btn_ok.Show 	= true
	wnd.btn_yes.Show 	= false
	wnd.btn_no.Show 	= false
end

if not wifi_confirm_handler then
	wifi_confirm_handler = {}
end

wifi_confirm_handler.Show = function( self )
	UI.re_confirm_lc._handler = self
	UI.re_confirm_lc.Show = true
end

wifi_confirm_handler.on_Show = function( self , wnd , from , info )
	refreshButtonText( wnd )
	wnd.btn_ok.Show 	= false
	wnd.btn_yes.Show 	= true
	wnd.btn_no.Show 	= true
	if self.STATUS == "update" then		
		wnd.txt_msg.Caption = getTEXT( "check_update" )
	else
		wnd.txt_msg.Caption = getTEXT( "check_wifi" )		
	end		
end
	
wifi_confirm_handler.on_YES = function( self, wnd , from, info )
	UI.Print( 'YES' )
	
	if wifi_confirm_handler.STATUS == "update" then	
		if not UI.m_luncher.PENDING_FINISHTICK then
			local update_app_url = ___getenv( 'patch.update_app_url', '' )
			ExternalIntfImpl:Query( "open.url" , { url = update_app_url }  )				
			UI.m_luncher.PENDING_FINISHTICK = UI.GetTickCount()
		end	
		wnd.Show = false
	elseif wifi_confirm_handler.STATUS == "wifi" then		
		UI.m_luncher.IGNORE_WIFI = true
		wnd.Show = false
		start_download( '' )			
	end
end

wifi_confirm_handler.on_NO = function( self , wnd , from, info )
	if info.Down then
		wnd.Show = false		
		UI.Print( 'NO' )
		___abort()
	end
end

if not error_confirm_handler then
	error_confirm_handler = {}
end

error_confirm_handler.Show = function( self , msg )
	UI.re_confirm_lc._handler = self
	UI.re_confirm_lc.txt_msg.Caption = msg
	UI.re_confirm_lc.Show = true
end

error_confirm_handler.on_Show = function( self , wnd , from , info )
	wnd.btn_ok.Show 	= true
	wnd.btn_yes.Show 	= false
	wnd.btn_no.Show 	= false
end
			
error_confirm_handler.on_OK = function( self , wnd , from , info )

	local forwardURL = self.forwardURL
	self.forwardURL = nil			

	if forwardURL and string.len( forwardURL ) > 0 then
		ExternalIntfImpl:Query( "open.url" , { url = forwardURL }  )		
		wnd.DelayClose = function( self )
			self:SetTimer( "DelayClose" , -1 )
			self.on_DelayClose = function( self )
				___abort()
			end
			self:SetTimer( "DelayClose" , 1000 )
		end					
		wnd:DelayClose()
	else
		___abort()
	end
end


